#ifndef __KEY_H__
#define __KEY_H__


#include "mcu.h"


#define KEY_PRESSED 1
#define KEY_NOPRESSED 0


typedef enum
{
    KEY_HG_F,//前
    KEY_HG_R,//后
    KEY_KB_F,
    KEY_KB_R,
    KEY_TT_F,
    KEY_TT_R,
    KEY_ZY_U,//上
    KEY_ZY_D,//下
    KEY_FAN,
    KEY_HEAT,
    KEY_MEMORY_SET,
    KEY_MEMORY_1,
    KEY_MEMORY_2,
    KEY_MEMORY_3,
    KEY_RESET,
    KEY_SM,//seat massage
    KEY_TJ_KB_U_PLUS,
    KEY_TJ_KB_U_MINUS,
    KEY_TJ_KB_D_PLUS,
    KEY_TJ_KB_D_MINUS,
    KEY_TJ_ZD_L_PLUS,
    KEY_TJ_ZD_L_MINUS,
    KEY_TJ_ZD_R_PLUS,
    KEY_TJ_ZD_R_MINUS,
    KEY_NUM,
}KEY_ID_type;



void ClearAllKeyState(void);
uint8_t getKeyPressFlag(KEY_ID_type id);
uint8_t getKeyReleaseFlag(KEY_ID_type id);
void KeyScanTask(void);
void KeyProTask(void);

#endif // __KEY_H__